=== debian/changelog ===
libheif (1.16.2-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build rav1e plugin on i386, rust not available there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 06:50:18 +0200

libheif (1.16.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable the rav1e plugin only on archs where librav1e is available

  [ Fabian Greffrath ]
  * Let the libheif1 package depend on at least one HEIF and AVIF decoder plugin
    (Closes: #1040520)

 -- Joachim Bauch <bauch@struktur.de>  Mon, 17 Jul 2023 09:21:51 +0200

libheif (1.16.2-1ubuntu1) mantic; urgency=medium

  * Don't build rav1e plugin on i386, rust not available there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Jul 2023 15:21:26 +0200

libheif (1.16.2-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Use libgdk-pixbuf-2.0-dev
  * Set MA for heif-gdk-pixbuf and heif-thumbnailer (Closes: #981551)

  [ Joachim Bauch ]
  * New upstream version 1.16.2
  * Update symbols for new upstream version.
  * Build codecs as plugins and separate packages that are pulled using
    "Recommends".
  * Add codec plugins using "rav1e" and "svtenc".
  * Remove duplicate MA entry in heif-gdk-pixbuf.
  * d/rules: No need to override "dh_autoreconf", no longer used.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 20 Jun 2023 11:37:08 +0200

libheif (1.15.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.15.1
    - Fix CVE-2023-0996 (Closes: #1032101)
    - Do not fail if no plugin directory is available (Closes: #1029668)
  * debian/libheif1.symbols: Add new symbols
  * debian/*.install: Update for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Mar 2023 00:09:34 +0100
